15. 2. 2011 v 19:29

Re:Re: Kombinace – odečtení těles #53662

Anonymous
Člen
318 příspěvků

To které tělo bude Hlavni a které „ke spojení“ určuje číslo v SelectByID2 (tučně), a nastavil bych obě hodnoty na „TRUE“ (podtrženo)

boolstatus = Part.Extension.SelectByID2(„Vysunout1“, „SOLIDBODY“, 0, 0, 0, True,1, Nothing, 0)
boolstatus = Part.Extension.SelectByID2(„Vysunout2“, „SOLIDBODY“, 0, 0, 0, True, 2, Nothing, 0)
Set myFeature = Part.FeatureManager.InsertCombineFeature(15902, Nothing, Nothing)

z již vytvořené kombinace lze zjistit prvky – jejich pořadí odpovídá těm tučným číslům


prvky =myFeature.GetParents()
set prvek1=prvky(0)
set prvek2=prvky(1)

pak selectnu a vymazu tu kombinaci


myFeature.select false
Part.EditDelete

oba prvky se pak označí obráceně a kombinace se vytvoří znovu.

PS: Přímá editace mi zatím nejde, ale takhle by to mělo jít, když budu mít čas napíšu komplet makro a pošlu.